Subject: bug#29550: 27.0.50; `not-modified' should be disabled by default

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Sep 2019 10:20:58 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 29 Sep 2019 02:06:55 +0200
> Cc: Glenn Morris <[email-masked]>, Göktuğ Kayaalp <[email-masked]>, 
> 	[email-masked], Eli Zaretskii <[email-masked]>
> 
> >> Previous times this came up:
> >> http://lists.gnu.org/archive/html/bug-gnu-emacs/2005-04/msg00182.html
> >> (a prolific and, err, idiosyncratic reporter)
> >>
> >> http://lists.gnu.org/archive/html/emacs-devel/2006-02/msg00414.html
> >> (previous maintainer)
> >>
> >> http://lists.gnu.org/archive/html/emacs-devel/2006-02/msg00395.html
> >> (previous+N maintainer)
> >>
> >> Obviously, this calls for a poll!
> >>
> >> (Please don't have a poll.)
> >
> > :-)
> >
> > I think it makes sense to have this command disabled by default.  It's a
> > lot more dangerous than several of the other commands that are
> > disabled...
> 
> I agree with Lars here, and Stefan Monnier in the above thread, that
> it should be disabled.
> 
> I don't really understand the basic controversy here.  It should at
> worst be a minor inconvenience for anyone who do wish to use it, while
> it could save many other users some big headaches.

The basic controversy here, from my POV, is that I use "emacs -Q" a
lot when working on bug reports, and having this command disabled by
default will be a nuisance because I use it VERY often.

> So I'll just jump in at the deep end and ask... Are there any
> objections to the attached patch?

The previous discussions provide objections, don't they?